org.keycloak.models.map.client

## Class AbstractClientEntity<K>

- java.lang.Object
- - org.keycloak.models.map.client.AbstractClientEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>
  Direct Known Subclasses:
    MapClientEntity

      public abstract class AbstractClientEntity<K>
      extends Object
      implements AbstractEntity<K>

  Author:
    hmlnarik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractClientEntity()`
    `` | `AbstractClientEntity(K id, String realmId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientScope(String id, boolean defaultScope)`
    `void` | `addDefaultRole(String name)`
    `ProtocolMapperModel` | `addProtocolMapper(ProtocolMapperModel model)`
    `void` | `addRedirectUri(String redirectUri)`
    `void` | `addScopeMapping(String id)`
    `void` | `addWebOrigin(String webOrigin)`
    `void` | `deleteScopeMapping(String id)`
    `String` | `getAttribute(String name)`
    `Map<String,String>` | `getAttributes()`
    `String` | `getAuthenticationFlowBindingOverride(String binding)`
    `Map<String,String>` | `getAuthenticationFlowBindingOverrides()`
    `Map<String,String>` | `getAuthFlowBindings()`
    `String` | `getBaseUrl()`
    `String` | `getClientAuthenticatorType()`
    `String` | `getClientId()`
    `Stream<String>` | `getClientScopes(boolean defaultScope)`
    `List<String>` | `getDefaultRoles()`
    `String` | `getDescription()`
    `K` | `getId()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `int` | `getNotBefore()`
    `String` | `getProtocol()`
    `ProtocolMapperModel` | `getProtocolMapperById(String id)`
    `Collection<ProtocolMapperModel>` | `getProtocolMappers()`
    `String` | `getRealmId()`
    `Set<String>` | `getRedirectUris()`
    `String` | `getRegistrationToken()`
    `String` | `getRootUrl()`
    `Set<String>` | `getScope()`
    `Collection<String>` | `getScopeMappings()`
    `String` | `getSecret()`
    `Set<String>` | `getWebOrigins()`
    `boolean` | `isAlwaysDisplayInConsole()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isConsentRequired()`
    `boolean` | `isDirectAccessGrantsEnabled()`
    `boolean` | `isEnabled()`
    `boolean` | `isFrontchannelLogout()`
    `boolean` | `isFullScopeAllowed()`
    `boolean` | `isImplicitFlowEnabled()`
    `boolean` | `isPublicClient()`
    `boolean` | `isServiceAccountsEnabled()`
    `boolean` | `isStandardFlowEnabled()`
    `boolean` | `isSurrogateAuthRequired()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `void` | `removeAttribute(String name)`
    `void` | `removeAuthenticationFlowBindingOverride(String binding)`
    `void` | `removeClientScope(String id)`
    `void` | `removeDefaultRoles(String... defaultRoles)`
    `void` | `removeProtocolMapper(String id)`
    `void` | `removeRedirectUri(String redirectUri)`
    `void` | `removeWebOrigin(String webOrigin)`
    `void` | `setAlwaysDisplayInConsole(boolean alwaysDisplayInConsole)`
    `void` | `setAttribute(String name, String value)`
    `void` | `setAttributes(Map<String,String> attributes)`
    `void` | `setAuthenticationFlowBindingOverride(String binding, String flowId)`
    `void` | `setAuthFlowBindings(Map<String,String> authFlowBindings)`
    `void` | `setBaseUrl(String baseUrl)`
    `void` | `setBearerOnly(boolean bearerOnly)`
    `void` | `setClientAuthenticatorType(String clientAuthenticatorType)`
    `void` | `setClientId(String clientId)`
    `void` | `setConsentRequired(boolean consentRequired)`
    `void` | `setDefaultRoles(Collection<String> defaultRoles)`
    `void` | `setDescription(String description)`
    `void` | `setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setFrontchannelLogout(boolean frontchannelLogout)`
    `void` | `setFullScopeAllowed(boolean fullScopeAllowed)`
    `void` | `setImplicitFlowEnabled(boolean implicitFlowEnabled)`
    `void` | `setManagementUrl(String managementUrl)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setProtocol(String protocol)`
    `void` | `setProtocolMappers(Collection<ProtocolMapperModel> protocolMappers)`
    `void` | `setPublicClient(boolean publicClient)`
    `void` | `setRedirectUris(Set<String> redirectUris)`
    `void` | `setRegistrationToken(String registrationToken)`
    `void` | `setRootUrl(String rootUrl)`
    `void` | `setScope(Set<String> scope)`
    `void` | `setSecret(String secret)`
    `void` | `setServiceAccountsEnabled(boolean serviceAccountsEnabled)`
    `void` | `setStandardFlowEnabled(boolean standardFlowEnabled)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`
    `void` | `setWebOrigins(Set<String> webOrigins)`
    `void` | `updateProtocolMapper(String id, ProtocolMapperModel mapping)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### AbstractClientEntity

          protected AbstractClientEntity()

    - #### AbstractClientEntity

          public AbstractClientEntity(K id,
                                      String realmId)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `AbstractEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `AbstractEntity<K>`
      Returns:

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getRedirectUris

          public Set<String> getRedirectUris()

    - #### setRedirectUris

          public void setRedirectUris(Set<String> redirectUris)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### isAlwaysDisplayInConsole

          public boolean isAlwaysDisplayInConsole()

    - #### setAlwaysDisplayInConsole

          public void setAlwaysDisplayInConsole(boolean alwaysDisplayInConsole)

    - #### getClientAuthenticatorType

          public String getClientAuthenticatorType()

    - #### setClientAuthenticatorType

          public void setClientAuthenticatorType(String clientAuthenticatorType)

    - #### getSecret

          public String getSecret()

    - #### setSecret

          public void setSecret(String secret)

    - #### getRegistrationToken

          public String getRegistrationToken()

    - #### setRegistrationToken

          public void setRegistrationToken(String registrationToken)

    - #### getProtocol

          public String getProtocol()

    - #### setProtocol

          public void setProtocol(String protocol)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,String> attributes)

    - #### getAuthFlowBindings

          public Map<String,String> getAuthFlowBindings()

    - #### setAuthFlowBindings

          public void setAuthFlowBindings(Map<String,String> authFlowBindings)

    - #### isPublicClient

          public boolean isPublicClient()

    - #### setPublicClient

          public void setPublicClient(boolean publicClient)

    - #### isFullScopeAllowed

          public boolean isFullScopeAllowed()

    - #### setFullScopeAllowed

          public void setFullScopeAllowed(boolean fullScopeAllowed)

    - #### isFrontchannelLogout

          public boolean isFrontchannelLogout()

    - #### setFrontchannelLogout

          public void setFrontchannelLogout(boolean frontchannelLogout)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### getScope

          public Set<String> getScope()

    - #### setScope

          public void setScope(Set<String> scope)

    - #### getWebOrigins

          public Set<String> getWebOrigins()

    - #### setWebOrigins

          public void setWebOrigins(Set<String> webOrigins)

    - #### addProtocolMapper

          public ProtocolMapperModel addProtocolMapper(ProtocolMapperModel model)

    - #### getProtocolMappers

          public Collection<ProtocolMapperModel> getProtocolMappers()

    - #### updateProtocolMapper

          public void updateProtocolMapper(String id,
                                           ProtocolMapperModel mapping)

    - #### removeProtocolMapper

          public void removeProtocolMapper(String id)

    - #### setProtocolMappers

          public void setProtocolMappers(Collection<ProtocolMapperModel> protocolMappers)

    - #### getProtocolMapperById

          public ProtocolMapperModel getProtocolMapperById(String id)

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getManagementUrl

          public String getManagementUrl()

    - #### setManagementUrl

          public void setManagementUrl(String managementUrl)

    - #### getRootUrl

          public String getRootUrl()

    - #### setRootUrl

          public void setRootUrl(String rootUrl)

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(Collection<String> defaultRoles)

    - #### addDefaultRole

          public void addDefaultRole(String name)

    - #### removeDefaultRoles

          public void removeDefaultRoles(String... defaultRoles)

    - #### isBearerOnly

          public boolean isBearerOnly()

    - #### setBearerOnly

          public void setBearerOnly(boolean bearerOnly)

    - #### isConsentRequired

          public boolean isConsentRequired()

    - #### setConsentRequired

          public void setConsentRequired(boolean consentRequired)

    - #### isStandardFlowEnabled

          public boolean isStandardFlowEnabled()

    - #### setStandardFlowEnabled

          public void setStandardFlowEnabled(boolean standardFlowEnabled)

    - #### isImplicitFlowEnabled

          public boolean isImplicitFlowEnabled()

    - #### setImplicitFlowEnabled

          public void setImplicitFlowEnabled(boolean implicitFlowEnabled)

    - #### isDirectAccessGrantsEnabled

          public boolean isDirectAccessGrantsEnabled()

    - #### setDirectAccessGrantsEnabled

          public void setDirectAccessGrantsEnabled(boolean directAccessGrantsEnabled)

    - #### isServiceAccountsEnabled

          public boolean isServiceAccountsEnabled()

    - #### setServiceAccountsEnabled

          public void setServiceAccountsEnabled(boolean serviceAccountsEnabled)

    - #### getNodeReRegistrationTimeout

          public int getNodeReRegistrationTimeout()

    - #### setNodeReRegistrationTimeout

          public void setNodeReRegistrationTimeout(int nodeReRegistrationTimeout)

    - #### addWebOrigin

          public void addWebOrigin(String webOrigin)

    - #### removeWebOrigin

          public void removeWebOrigin(String webOrigin)

    - #### addRedirectUri

          public void addRedirectUri(String redirectUri)

    - #### removeRedirectUri

          public void removeRedirectUri(String redirectUri)

    - #### setAttribute

          public void setAttribute(String name,
                                   String value)

    - #### removeAttribute

          public void removeAttribute(String name)

    - #### getAttribute

          public String getAttribute(String name)

    - #### getAuthenticationFlowBindingOverride

          public String getAuthenticationFlowBindingOverride(String binding)

    - #### getAuthenticationFlowBindingOverrides

          public Map<String,String> getAuthenticationFlowBindingOverrides()

    - #### removeAuthenticationFlowBindingOverride

          public void removeAuthenticationFlowBindingOverride(String binding)

    - #### setAuthenticationFlowBindingOverride

          public void setAuthenticationFlowBindingOverride(String binding,
                                                           String flowId)

    - #### getScopeMappings

          public Collection<String> getScopeMappings()

    - #### addScopeMapping

          public void addScopeMapping(String id)

    - #### deleteScopeMapping

          public void deleteScopeMapping(String id)

    - #### addClientScope

          public void addClientScope(String id,
                                     boolean defaultScope)

    - #### removeClientScope

          public void removeClientScope(String id)

    - #### getClientScopes

          public Stream<String> getClientScopes(boolean defaultScope)

    - #### getRealmId

          public String getRealmId()

Copyright © 2020 JBoss by Red Hat. All rights reserved.